post
https://{jfrog_url}/access/api/v2/permissions
Creates a new permission target in the system.
Security: Requires admin privileges.
Availability: Artifactory 7.72.0+
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Request JSON
{
"name":"Perm",
"resources":{
"artifact":{
"actions":{
"users":{
"test-user":[
"READ"
]
},
"groups":{
}
},
"targets":{
"example-repo-local":{
"include_patterns":[
"**",
"rep"
],
"exclude_patterns":[
]
},
"ANY LOCAL":{
"include_patterns":[
"**",
"rep"
],
"exclude_patterns":[
]
}
}
},
"release_bundle":{
"actions":{
"users":{
"test-user":[
"ANNOTATE"
]
},
"groups":{
}
},
"targets":{
"release-bundles-v2":{
"include_patterns":[
"**"
],
"exclude_patterns":[
]
},
"release-bundles":{
"include_patterns":[
"**"
],
"exclude_patterns":[
]
}
}
},
"build":{
"actions":{
"users":{
"test-user":[
"READ"
]
},
"groups":{
}
},
"targets":{
"artifactory-build-info":{
"include_patterns":[
"**",
"beta"
],
"exclude_patterns":[
]
}
}
}
}
}
400Bad Request - Invalid input
401Bad Credentials - Invalid credentials
403Permission Denied - Insufficient permissions
409Conflict - Permission already exists
